Subject: Re: Question: SONET/SDH Interface Type MIB (rfc2558)

From: Kaj Tesink <[email-masked]>
Date: Tue, 11 Sep 2001 14:20:50 -0400

Hi Randi,

here are some quick responses. also I suggest that you direct these type of 
questions
to the atommib discussion list. see
http://www.ietf.org/html.charters/atommib-charter.html
i copy this message to the list

comments below

kaj

At 02:22 PM 9/11/01 +0200, Randi Holtmon (ETO) wrote:

>Hi
>My name is Randi Holtmon, working at Ericsson in Norway, and I'm 
>interested in the SONET/SDH Interface Type MIB.
>
>I have some questions:
>
>The sonetMediumValidIntervals shows the number of previous 15-minute 
>intervals, but it is not shown
>for which interface this object is valid. The same applies to the 
>sonetMediumInvalidIntervals.
>The sonetMedium entry has no 15-minute counters. For which interface is 
>this objects valid ?

all tables are indexed by ifIndex

>Is it assumed that all interfaces are started at the same time,

see sonetMediumTimeElapsed

>and that they have the same amount of invalid intervals ?

see sonetMediumValidIntervals, sonetMediumInvalidIntervals
and sonetXxxxxIntervalValidData for individual tables

>In the DS1-MIB that handles DS1, E1, DS2 and E2 interface objects, the 
>..ValidIntervals and ..InvalidIntervals objects
>are placed in the dsx1Current entry.

i checked both rfc2495 and 1406 but couldnt find that

>We need to handle ..ValidIntervals and ..InvalidIntervals for all 
>interfaces (Section,Line, Path and VT).
>In our application the payload in the SPE (VC-4) will be configurable.
>First after configuration we will know whether VT-interfaces will exist.
>Maybe they will appear after a reconfiguration of the SPE.
>In this situation the new interfaces will not have any 15-minute 
>intervals, but
>line and section may have 96 15-minute intervals each.
>Would it be correct to create an extension to the SONET/SDH Interface Type 
>MIB, and
>place ..ValidIntervals and ..InvalidIntervals in the extension of the 
>..Current entries for each interface?

it appears that 2558 with the objects i mentioned above
provide what you're after already

>Thanks in advance and best regards
>Randi Holtmon,
>Ericsson Norway AS,
>PO Box 34,
>N-1361 Billingstad
>Norway.
>Tel: +47 6684 0561
>Email:[email-masked]

_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/

Kaj Tesink
Telcordia Technologies
Email  [email-masked]
Tel    732.758.5254
Fax    732.758.2269
Postal 331 Newman Springs Rd
        Red Bank, NJ 07701
        USA

_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/